library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
Library UNISIM;
use UNISIM.vcomponents.all;

entity top_level is

Port (led					: out std_logic_vector(3 downto 0);
		btn					: in std_logic;
		clk					: in std_logic);
end top_level;

architecture Behavioral of top_level is

signal count: std_logic_vector(23 downto 0);
signal count2: std_logic_vector(2 downto 0);

begin
	
	count_proc: process(clk)
	begin
		if clk'event and clk = '1' then
			count <= count + '1';
		end if;
	end process;

	count2_proc: process(count(23))
	begin
		if count(23)'event and count(23) = '1' then
		if (btn='0')		then count2 <= count2 + '1';
		elsif (btn='1')	then count2 <= count2 - '1';
		end if;
		end if;
	end process;

leds: process(count2)
begin
   case count2 is 
      when "000" => led <= "0000";
		when "001" => led <= "0001";
		when "010" => led <= "0011";
		when "011" => led <= "0111";
		when "100" => led <= "1111";
		when "101" => led <= "1110";
		when "110" => led <= "1100";
		when "111" => led <= "1000";
      when others => led <= "0000";
   end case;
end process;

end Behavioral;